# OAuthProvider::removeRequiredParameter

(PECL OAuth >= 1.0.0)

OAuthProvider::removeRequiredParameter — Remove a required parameter

### Description

final public OAuthProvider::removeRequiredParameter ( string `$req_params` ) : bool

Removes a required parameter.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`req_params`

  The required parameter to be removed.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- OAuthProvider::setParam() - Set a parameter
- OAuthProvider::addRequiredParameter() - Add required parameters